#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'subversioncheckout.ui'
**
** Created: 2013-08-06T10:39:51
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "subversioncheckout.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <kurlrequester.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a SubversionCheckout as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
SubversionCheckout::SubversionCheckout( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SubversionCheckout" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setSizeGripEnabled( TRUE );
    SubversionCheckoutLayout = new QVBoxLayout( this, 11, 6, "SubversionCheckoutLayout"); 

    layout8 = new QGridLayout( 0, 1, 1, 0, 6, "layout8"); 

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 

    buttonHelp = new QPushButton( this, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout1->addWidget( buttonHelp );
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    layout8->addLayout( Layout1, 2, 0 );

    url = new KURLRequester( this, "url" );
    url->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, url->sizePolicy().hasHeightForWidth() ) );

    layout8->addWidget( url, 0, 0 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout4->addWidget( textLabel1 );
    spacer2 = new QSpacerItem( 121, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addItem( spacer2 );

    revision = new QSpinBox( this, "revision" );
    revision->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, revision->sizePolicy().hasHeightForWidth() ) );
    layout4->addWidget( revision );

    layout8->addLayout( layout4, 1, 0 );
    SubversionCheckoutLayout->addLayout( layout8 );
    languageChange();
    resize( QSize(498, 133).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SubversionCheckout::~SubversionCheckout()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SubversionCheckout::languageChange()
{
    setCaption( tr2i18n( "Subversion Checkout" ) );
    buttonHelp->setText( tr2i18n( "&Help" ) );
    buttonHelp->setAccel( QKeySequence( tr2i18n( "F1" ) ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
    textLabel1->setText( tr2i18n( "Revision (0 for HEAD):" ) );
}

/****************************************************************************
** SubversionCheckout meta object code from reading C++ file 'subversioncheckout.h'
**
** Created: Tue Aug 6 10:39:51 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "subversioncheckout.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *SubversionCheckout::className() const
{
    return "SubversionCheckout";
}

QMetaObject *SubversionCheckout::metaObj = 0;
static QMetaObjectCleanUp cleanUp_SubversionCheckout( "SubversionCheckout", &SubversionCheckout::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString SubversionCheckout::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "SubversionCheckout", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString SubversionCheckout::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "SubversionCheckout", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* SubversionCheckout::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"SubversionCheckout", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_SubversionCheckout.setMetaObject( metaObj );
    return metaObj;
}

void* SubversionCheckout::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SubversionCheckout" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool SubversionCheckout::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool SubversionCheckout::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool SubversionCheckout::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool SubversionCheckout::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
