#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'subversiondiff.ui'
**
** Created: 2013-08-06T10:39:51
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "subversiondiff.h"

#include <qvariant.h>
#include <qtextbrowser.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a Subversion_Diff as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
Subversion_Diff::Subversion_Diff( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "Subversion_Diff" );
    setSizeGripEnabled( TRUE );
    Subversion_DiffLayout = new QVBoxLayout( this, 11, 6, "Subversion_DiffLayout"); 

    text = new QTextBrowser( this, "text" );
    text->setTextFormat( QTextBrowser::PlainText );
    text->setWordWrap( QTextBrowser::NoWrap );
    text->setAutoFormatting( int( QTextBrowser::AutoAll ) );
    Subversion_DiffLayout->addWidget( text );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );
    Subversion_DiffLayout->addLayout( Layout1 );
    languageChange();
    resize( QSize(511, 282).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Subversion_Diff::~Subversion_Diff()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Subversion_Diff::languageChange()
{
    setCaption( tr2i18n( "Subversion Diff" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
}

/****************************************************************************
** Subversion_Diff meta object code from reading C++ file 'subversiondiff.h'
**
** Created: Tue Aug 6 10:39:51 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "subversiondiff.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *Subversion_Diff::className() const
{
    return "Subversion_Diff";
}

QMetaObject *Subversion_Diff::metaObj = 0;
static QMetaObjectCleanUp cleanUp_Subversion_Diff( "Subversion_Diff", &Subversion_Diff::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString Subversion_Diff::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "Subversion_Diff", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString Subversion_Diff::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "Subversion_Diff", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* Subversion_Diff::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"Subversion_Diff", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_Subversion_Diff.setMetaObject( metaObj );
    return metaObj;
}

void* Subversion_Diff::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "Subversion_Diff" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool Subversion_Diff::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool Subversion_Diff::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool Subversion_Diff::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool Subversion_Diff::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
